/* float.h */
#ifndef _FLOAT_H___
#define _FLOAT_H___
#include_next <float.h>
/* Produced by enquire version 4.3, CWI, Amsterdam */

   /* Minimum int x such that FLT_RADIX**(x-1) is a normalised float */
#undef FLT_MIN_EXP
#define FLT_MIN_EXP (-125)
   /* Minimum int x such that 10**x is a normalised float */
#undef FLT_MIN_10_EXP
#define FLT_MIN_10_EXP (-37)
   /* Maximum int x such that FLT_RADIX**(x-1) is a representable float */
#undef FLT_MAX_EXP
#define FLT_MAX_EXP 128

   /* Minimum int x such that FLT_RADIX**(x-1) is a normalised double */
#undef DBL_MIN_EXP
#define DBL_MIN_EXP (-1021)
   /* Minimum normalised double */
#undef DBL_MIN
#define DBL_MIN 2.2250738585072020e-308

/* *** WARNING: Possibly bad output from printf above */
/*     expected value around 2.2250738585072010e-308, bit pattern:
    00000000 00000000 00000000 00000000 00000000 00000000 00010000 00000000 */
/*     sscanf gave           2.2250738585072020e-308, bit pattern:
    00000001 00000000 00000000 00000000 00000000 00000000 00010000 00000000 */
/*     difference= -4.9406564584124650e-324 */

   /* Maximum int x such that FLT_RADIX**(x-1) is a representable double */
#undef DBL_MAX_EXP
#define DBL_MAX_EXP 1024
   /* Maximum double */
#undef DBL_MAX
#define DBL_MAX 1.7976931348623160e+308

/* *** WARNING: Possibly bad output from printf above */
/*     expected value around 1.7976931348623160e308, bit pattern:
    11111111 11111111 11111111 11111111 11111111 11111111 11101111 01111111 */
/*     sscanf gave           inf, bit pattern:
    00000000 00000000 00000000 00000000 00000000 00000000 11110000 01111111 */
/*     difference= -inf */


   /* Minimum int x such that FLT_RADIX**(x-1) is a normalised long double */
#undef LDBL_MIN_EXP
#define LDBL_MIN_EXP (-16381)
   /* Minimum normalised long double */
#undef LDBL_MIN
#ifndef __LDBL_UNION__
#define __LDBL_UNION__
union __convert_long_double {
  unsigned __convert_long_double_i[4];
  long double __convert_long_double_d;
};
#endif
#define LDBL_MIN (__extension__ ((union __convert_long_double) {__convert_long_double_i: {0x0, 0x80000000, 0x1, 0x0}}).__convert_long_double_d)
   /* Minimum int x such that 10**x is a normalised long double */
#undef LDBL_MIN_10_EXP
#define LDBL_MIN_10_EXP (-4931)
   /* Maximum int x such that FLT_RADIX**(x-1) is a representable long double */
#undef LDBL_MAX_EXP
#define LDBL_MAX_EXP 16384
   /* Maximum long double */
#undef LDBL_MAX
#define LDBL_MAX (__extension__ ((union __convert_long_double) {__convert_long_double_i: {0xfffff800, 0xffffffff, 0x107ffe, 0x0}}).__convert_long_double_d)
   /* Maximum int x such that 10**x is a representable long double */
#undef LDBL_MAX_10_EXP
#define LDBL_MAX_10_EXP 4932

/* *** Something fishy here!
    Exponent size + significand size doesn't match with the size of a long double! */


#endif /*  _FLOAT_H___ */

/* For hints on dealing with the 2 problems above
   see the section 'TROUBLESHOOTING' in the file //1/gnu/qnx/gcc-2.8.1-qnx/enquire.c */
