/*
----------------------------------------------------------

This program tests whether or not the C++ compilation support properly
handles global static variables with constructors.  A working C++
compilation environment is expected to arrange that global variables
that have a constructor function (foo::foo() above) be called prior to
the start of main().  HylaFAX will not operate properly if the C++
compilation environment does not correctly implement this.

When using GNU gcc to compile C++ programs this can sometimes happen
when g++ is not used to link executables.  You might try setting
CXX to "g++" (or similar) in a config.local file or on the command
line.  Otherwise you should consult your local GNU guru/support person
for help with this problem.

----------------------------------------------------------
*/

#include <stdio.h>
#include <string.h>

class foo {
private:
    int a;
public:
    foo() { a = -1; }
    int isInitialized() { return a == -1; }
};

static foo instanceOfFoo;

main() { printf( "C++ %s\n", instanceOfFoo.isInitialized() ? "Ok" : "Broken" ); }

